# Interface PersonResult

Person getter

- Triggers combining all individual results into a virtual person object

interface PersonResult {
body : null | BodyResult ;
box : Box ;
boxRaw ?: Box ;
face : FaceResult ;
gestures : GestureResult [];
hands : { left: null | HandResult ; right: null | HandResult };
id : number;
}

- Defined in src/result.ts:187

##### Index

### Properties

body
box
boxRaw?
face
gestures
hands
id

## Properties

### body

body: null | BodyResult

body result that belongs to this person

- Defined in src/result.ts:193

### box

box: Box

box that defines the person

- Defined in src/result.ts:199

### `Optional` boxRaw

boxRaw?: Box

box that defines the person normalized to 0..1

- Defined in src/result.ts:201

### face

face: FaceResult

face result that belongs to this person

- Defined in src/result.ts:191

### gestures

gestures: GestureResult []

detected gestures specific to this person

- Defined in src/result.ts:197

### hands

hands: { left: null | HandResult ; right: null | HandResult }

left and right hand results that belong to this person

- Defined in src/result.ts:195

### id

id: number

person id

- Defined in src/result.ts:189